Package mpi

# Class ShiftParms

java.lang.Object
mpi.ShiftParms

public final class ShiftParms extends Object
Source and destination ranks for "shift" communication.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ShiftParms(int rankSource, int rankDest)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getRankDest()`
Gets the destination rank.
`int`
`getRankSource()`
Gets the source rank.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ShiftParms

protected ShiftParms(int rankSource, int rankDest)

## Method Details

### getRankSource

public int getRankSource()
Gets the source rank.

Returns:
  source rank

### getRankDest

public int getRankDest()
Gets the destination rank.

Returns:
  destination rank